#!/usr/bin/env python3
# -*- coding: utf-8 -*-; py-indent-offset: 4 -*-

from cmk.gui.plugins.views.utils import (
    inventory_displayhints,
)
from cmk.gui.plugins.views.inventory import (
    declare_invtable_view,
    )
from cmk.gui.i18n import _


inventory_displayhints.update({
    '.hardware.components.huawei:': {'title': _('Huawei'),
                                     'keyorder': ['index', 'name', 'description', 'board_type', 'serial_number',
                                                  'manufactured_date', 'vendor',
                                                  ],
                                     'view': 'invhuaweicomponents_of_host',
                                     },
    '.hardware.components.huawei:*.index': {'title': _('Index'), },
    '.hardware.components.huawei:*.name': {'title': _('Name')},
    '.hardware.components.huawei:*.description': {'title': _('Description'), },
    '.hardware.components.huawei:*.bom_id': {'title': _('BOM ID'), },
    '.hardware.components.huawei:*.bom_description': {'title': _('BOM Description')},
    '.hardware.components.huawei:*.manufactured_date': {'title': _('Manufactured Date')},
    '.hardware.components.huawei:*.board_type': {'title': _('Board Type'), },
    '.hardware.components.huawei:*.software_revision': {'title': _('Software Revision'), },
    '.hardware.components.huawei:*.firmware_revision': {'title': _('Firmware Revision'), },
    '.hardware.components.huawei:*.hardware_revision': {'title': _('Hardware Revision'), },
    '.hardware.components.huawei:*.serial_number': {'title': _('Serial Number'), },
    '.hardware.components.huawei:*.vendor': {'title': _('Vendor'), },

})

declare_invtable_view('invhuaweicomponents', '.hardware.components.huawei:', _('Huawei hardware components'),
                      _('Huawei hardware components'))
